Set Offer Visibility
curl --request PUT \
--url https://api.eflow.team/v1/networks/offers/{offerId}/visibility \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"network_affiliate_ids": [
7,
14
],
"set_type": "visible"
}
'import requests
url = "https://api.eflow.team/v1/networks/offers/{offerId}/visibility"
payload = {
"network_affiliate_ids": [7, 14],
"set_type": "visible"
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({network_affiliate_ids: [7, 14], set_type: 'visible'})
};
fetch('https://api.eflow.team/v1/networks/offers/{offerId}/visibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_id": 123,
"network_offer_id": 123,
"network_affiliate_visible_ids": [
123
],
"network_affiliate_rejected_ids": [
123
],
"network_affiliate_hidden_ids": [
123
]
}Offer Visibility
Set Offer Visibility
PUT
/
networks
/
offers
/
{offerId}
/
visibility
Set Offer Visibility
Update the visibility settings for a specific offer. This operation completely overwrites the existing visibility settings for the specified set type. Provide the list of affiliate IDs and the visibility type (visible or hidden).
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The offer ID.
Body
application/json
Response
200 - application/json
Network ID.
Offer ID.
Updated list of affiliate IDs with visible access.
Updated list of affiliate IDs with rejected access.
Updated list of affiliate IDs with hidden access.
Was this page helpful?
